// Version d'OpenGL
#version 330 core

// LES DEUX VARIABLES SUIVANTES CONTIENNENT LES DIMENSIONS EN PIXELS DE LA FENETRE
uniform int Largeur; 
uniform int Hauteur; 

// MonSommetEnEntree CONTIENT LES COORDONNÉES D'UN SOMMET, TELLES QUE STOCKÉES DANS LES BUFFERS
layout(location=0) in vec3 MonSommetEnEntree;

// Fonction appellee pour chaque sommet
void main()
{
	// Affectation de la position du sommet
        // LA TRANSFORMATION EST CHOISIE DE TELLE MANIERE QUE L'AFFICHAGE SOIT INCHANGÉ QUAND LA FENETRE CHANGE DE TAILLE
	gl_Position = vec4( MonSommetEnEntree.x * 2. / Largeur -1., MonSommetEnEntree.y  * 2. / Hauteur -1.,0., 1.0);
	gl_PointSize = 5.0f;
}
